# -*- coding: iso-8859-1 -*-

#------------------------------------------------------------------------------
def mreplace(main_string, list_of_strings, new_string = ""):
  """
  Remplace, dans "main_string", toutes les sous-chaines de "list_of_strings", par la chaine "new_string".
  """
  for old_string in list_of_strings:
    main_string = main_string.replace(old_string, new_string)
  return main_string

#------------------------------------------------------------------------------
def main_is_frozen():
  """
  Retourne True si le programme est exécuté à partir d'un exécutable, False si à partir d'un script.
  """
  import imp
  import sys

  return (hasattr(sys, "frozen") or # new py2exe
    hasattr(sys, "importers") # old py2exe
    or imp.is_frozen("__main__")) # tools/freeze

#------------------------------------------------------------------------------
def get_main_dir():
  """
  Retourne le répertoire du script ou de l'exécutable.
  """
  import os
  import sys

  if main_is_frozen():
    return os.path.dirname(sys.executable)
  return os.path.dirname(sys.argv[0])
